<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::CompositionTechnique Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#aed3697e1f5dee4e6e71b03338371dac9">CompositionTechnique</a>(Compositor *parent)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a781c6fcbbfc75d7c4265e268e9749f93">createTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a4354d86478e8ec9fdf65024ea5ddfd6a">createTextureDefinition</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#aa992321a0ae63a5c31bb62fe25dc2ed5">getCompositorLogicName</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a831f0aa39181fbd9b8fad6b637ce7c41">getNumTargetPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#ac9408a93189794940d922152d9c8f3c7">getNumTextureDefinitions</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a2b2cd304cc127a05befe4e3f3e20d6e9">getOutputTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a6b95f7376905fe23c3d5a27b0ec783d6">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a68d20f2065db1266d341eaa039ed4364">getSchemeName</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a6a37afdc7cf51e51912ce6704879e2d3">getTargetPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a472bbfd655c99319514ebc1fc58961c5">getTargetPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#ac7ba0d0414282dde01b1d117b8dc5dc1">getTextureDefinition</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#acb53f78a85e2049fd3d0f3a5c317b345">getTextureDefinition</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a07fe9d82291bef342e223b765a88a5f1">getTextureDefinitionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a7395bb89044375bea1be770737651875">isSupported</a>(bool allowTextureDegradation)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a8e774e6d5f34aaec7f870b1fefe4536f">mCompositorLogicName</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a36aa8592eb69b1a98452ca89cb6d091d">mOutputTarget</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a791ad4ded1b613b23d43db23b62c690b">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#ac20b33fb38f177280ddb68de71bcc865">mSchemeName</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#ab7b054bcbf8c12d0b67adecba5dfcff1">mTargetPasses</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a8d39acbfeeaa68fa427368cc8d88102f">mTextureDefinitions</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a4b34afd12984d3a5883e24b512c2b4a2">removeAllTargetPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a03d4c71942abef880d9b2c9e363fe259">removeAllTextureDefinitions</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a13b52dbaf483cd1ab0eec9edbef078e2">removeTargetPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a4bba82fa0f4e54090a2497fe9f658fab">removeTextureDefinition</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#af221a1809b2de447c7036dd356026ad5">setCompositorLogicName</a>(const String &amp;compositorLogicName)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a13d2bcb0ecbd440325621b809becd2c4">setSchemeName</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a> enum name</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7">TS_CHAIN</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1eaeaa58ffdb5ed352498ce0fa8263bda4d">TS_GLOBAL</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d">TS_LOCAL</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#a3b37aab5a73a19c0c2537b33cea5256e">~CompositionTechnique</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
